<?php
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: shutdown.php,v 1.2 2001/10/25 22:17:46 jcheng Exp $

include("ServerScriptHelper.php");
include_once("Product.php");

$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-power", "/base/power/shutdown.php");
$i18n = $serverScriptHelper->getI18n("base-power");
$product = new Product($serverScriptHelper->getCceClient());

if ($product->isRaq()) {
  $instr = "shutdownInstructions_softpower";
} else {
  $instr = "shutdownInstructions";
}

$stylist = $serverScriptHelper->getStylist();
$style = $stylist->getStyle("Page");
$fontTag = "<FONT STYLE=\"" . $style->toTextStyle() . "\">%s</FONT>";

$page = $factory->getPage();

$shutdownMessage = $i18n->getJs("shutdownMessage");

print($page->toHeaderHtml());
?>
<BR>

<BLOCKQUOTE>
	<?php print($i18n->get("shutdownMessage")); ?>
</BLOCKQUOTE>
<P>
<TABLE WIDTH="50%">
	<TR>
		<TD>
<?php printf($fontTag, $i18n->get($instr)); ?>
		</TD>
	</TR>
</TABLE>

<?php print($page->toFooterHtml()); ?>
