<?php
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: reboot.php,v 1.2 2001/10/03 01:09:41 jcheng Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-power", "/base/power/reboot.php");
$i18n = $serverScriptHelper->getI18n("base-power");
$page = $factory->getPage();

$stylist = $serverScriptHelper->getStylist();
$style = $stylist->getStyle("Page");
$fontTag = "<FONT STYLE=\"" . $style->toTextStyle() . "\">%s</FONT>";

//create the button
$button = $factory->getButton("javascript: confirmReboot()", "reboot");

//confirmation string
$confirm =  $i18n->get("askRebootConfirmation");

//create the script
$rebootScript = <<<HERE
<SCRIPT LANGUAGE="javascript">
function confirmReboot()
{
  if (confirm("$confirm"))
  {
    location = "/base/power/rebootHandler.php"
  }
}
</SCRIPT>
HERE;


//create the page
print($page->toHeaderHtml());
//  print $block->toHtml();

//setup table
print '<TABLE WIDTH="550"><TR><TD>';
//rebooting title
print '<H1>';
printf($fontTag, $i18n->get("reboot_title"));
print '</H1>';

//print reboot message
$rebootmsg = $i18n->getJs("rebootMessage");
printf($fontTag, $rebootmsg);

//print reboot button
print($rebootScript);
print "<BR><BR><CENTER>";
print($button->toHtml()); 
print "</CENTER>";


//shutdown title
print '<BR>';
print '<BR>';
print '<BR>';
print '<H1>';
printf($fontTag, $i18n->get("shutdown_title"));
print '</H1>';
?>

        <?php printf($fontTag, $i18n->get("shutdownMessage")); ?>
<P>
<TABLE WIDTH="100%">
	<TR>
		<TD>
<?php printf($fontTag, $i18n->get("shutdownInstructions")); ?>
		</TD>
	</TR>
</TABLE>

		</TD>
	</TR>
</TABLE>

<?
print($page->toFooterHtml());
$serverScriptHelper->destructor();
exit;


